function v_spiral = fresnel_integrals(w, s)
%FRESNEL Fresnel integrals for fundamental Euler spiral
%   v_spiral = fresnel(w, s)

v_spiral = w*[integral(@(tau) cos(0.5*tau.^2), 0, s/w);
              integral(@(tau) sin(0.5*tau.^2), 0, s/w)];

end
